DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Public Member Functions | Private Attributes | List of all members
DRTBlockSequenceInRTBeamsModule::Item Class Reference

Item class. More...

Inheritance diagram for DRTBlockSequenceInRTBeamsModule::Item:

## Public Member Functions
| Item (const OFBool emptyDefaultItem=OFFalse)
| (default) constructor More...
| Item (const Item &copy)
| copy constructor More...
virtual | ~Item ()
| destructor
Item & | operator= (const Item &copy)
| assignment operator More...
void | clear ()
| clear all internal member variables
OFBool | isEmpty ()
| check if item is empty More...
OFBool | isValid () const
| check if item is valid, i.e. not the empty default item More...
OFCondition | read (DcmItem &item)
| read elements from sequence item More...
OFCondition | write (DcmItem &item)
| write elements to sequence item More...
OFCondition | getAccessoryCode (OFString &value, const signed long pos=0) const
| get AccessoryCode (300a,00f9) More...
OFCondition | getBlockData (OFString &value, const signed long pos=0) const
| get BlockData (300a,0106) More...
OFCondition | getBlockData (Float64 &value, const unsigned long pos=0) const
| get BlockData (300a,0106) More...
OFCondition | getBlockData (OFVector< Float64 > &value) const
| get BlockData (300a,0106) More...
OFCondition | getBlockDivergence (OFString &value, const signed long pos=0) const
| get BlockDivergence (300a,00fa) More...
OFCondition | getBlockMountingPosition (OFString &value, const signed long pos=0) const
| get BlockMountingPosition (300a,00fb) More...
OFCondition | getBlockName (OFString &value, const signed long pos=0) const
| get BlockName (300a,00fe) More...
OFCondition | getBlockNumber (OFString &value, const signed long pos=0) const
| get BlockNumber (300a,00fc) More...
OFCondition | getBlockNumber (Sint32 &value, const unsigned long pos=0) const
| get BlockNumber (300a,00fc) More...
OFCondition | getBlockNumberOfPoints (OFString &value, const signed long pos=0) const
| get BlockNumberOfPoints (300a,0104) More...
OFCondition | getBlockNumberOfPoints (Sint32 &value, const unsigned long pos=0) const
| get BlockNumberOfPoints (300a,0104) More...
OFCondition | getBlockThickness (OFString &value, const signed long pos=0) const
| get BlockThickness (300a,0100) More...
OFCondition | getBlockThickness (Float64 &value, const unsigned long pos=0) const
| get BlockThickness (300a,0100) More...
OFCondition | getBlockTransmission (OFString &value, const signed long pos=0) const
| get BlockTransmission (300a,0102) More...
OFCondition | getBlockTransmission (Float64 &value, const unsigned long pos=0) const
| get BlockTransmission (300a,0102) More...
OFCondition | getBlockTrayID (OFString &value, const signed long pos=0) const
| get BlockTrayID (300a,00f5) More...
OFCondition | getBlockType (OFString &value, const signed long pos=0) const
| get BlockType (300a,00f8) More...
OFCondition | getMaterialID (OFString &value, const signed long pos=0) const
| get MaterialID (300a,00e1) More...
OFCondition | getSourceToBlockTrayDistance (OFString &value, const signed long pos=0) const
| get SourceToBlockTrayDistance (300a,00f6) More...
OFCondition | getSourceToBlockTrayDistance (Float64 &value, const unsigned long pos=0) const
| get SourceToBlockTrayDistance (300a,00f6) More...
OFCondition | getTrayAccessoryCode (OFString &value, const signed long pos=0) const
| get TrayAccessoryCode (300a,0355) More...
OFCondition | setAccessoryCode (const OFString &value, const OFBool check=OFTrue)
| set AccessoryCode (300a,00f9) More...
OFCondition | setBlockData (const OFString &value, const OFBool check=OFTrue)
| set BlockData (300a,0106) More...
OFCondition | setBlockDivergence (const OFString &value, const OFBool check=OFTrue)
| set BlockDivergence (300a,00fa) More...
OFCondition | setBlockMountingPosition (const OFString &value, const OFBool check=OFTrue)
| set BlockMountingPosition (300a,00fb) More...
OFCondition | setBlockName (const OFString &value, const OFBool check=OFTrue)
| set BlockName (300a,00fe) More...
OFCondition | setBlockNumber (const OFString &value, const OFBool check=OFTrue)
| set BlockNumber (300a,00fc) More...
OFCondition | setBlockNumberOfPoints (const OFString &value, const OFBool check=OFTrue)
| set BlockNumberOfPoints (300a,0104) More...
OFCondition | setBlockThickness (const OFString &value, const OFBool check=OFTrue)
| set BlockThickness (300a,0100) More...
OFCondition | setBlockTransmission (const OFString &value, const OFBool check=OFTrue)
| set BlockTransmission (300a,0102) More...
OFCondition | setBlockTrayID (const OFString &value, const OFBool check=OFTrue)
| set BlockTrayID (300a,00f5) More...
OFCondition | setBlockType (const OFString &value, const OFBool check=OFTrue)
| set BlockType (300a,00f8) More...
OFCondition | setMaterialID (const OFString &value, const OFBool check=OFTrue)
| set MaterialID (300a,00e1) More...
OFCondition | setSourceToBlockTrayDistance (const OFString &value, const OFBool check=OFTrue)
| set SourceToBlockTrayDistance (300a,00f6) More...
OFCondition | setTrayAccessoryCode (const OFString &value, const OFBool check=OFTrue)
| set TrayAccessoryCode (300a,0355) More...

## Private Attributes
OFBool | EmptyDefaultItem
| internal flag used to mark the empty default item
DcmLongString | AccessoryCode
| AccessoryCode (300a,00f9) vr=LO, vm=1, type=3.
DcmDecimalString | BlockData
| BlockData (300a,0106) vr=DS, vm=2-2n, type=2.
DcmCodeString | BlockDivergence
| BlockDivergence (300a,00fa) vr=CS, vm=1, type=2.
DcmCodeString | BlockMountingPosition
| BlockMountingPosition (300a,00fb) vr=CS, vm=1, type=3.
DcmLongString | BlockName
| BlockName (300a,00fe) vr=LO, vm=1, type=3.
DcmIntegerString | BlockNumber
| BlockNumber (300a,00fc) vr=IS, vm=1, type=1.
DcmIntegerString | BlockNumberOfPoints
| BlockNumberOfPoints (300a,0104) vr=IS, vm=1, type=2.
DcmDecimalString | BlockThickness
| BlockThickness (300a,0100) vr=DS, vm=1, type=2C.
DcmDecimalString | BlockTransmission
| BlockTransmission (300a,0102) vr=DS, vm=1, type=2C.
DcmShortString | BlockTrayID
| BlockTrayID (300a,00f5) vr=SH, vm=1, type=3.
DcmCodeString | BlockType
| BlockType (300a,00f8) vr=CS, vm=1, type=1.
DcmShortString | MaterialID
| MaterialID (300a,00e1) vr=SH, vm=1, type=2.
DcmDecimalString | SourceToBlockTrayDistance
| SourceToBlockTrayDistance (300a,00f6) vr=DS, vm=1, type=2.
DcmLongString | TrayAccessoryCode
| TrayAccessoryCode (300a,0355) vr=LO, vm=1, type=3.

## Additional Inherited Members
Protected Member Functions inherited from DRTTypes
virtual | ~DRTTypes ()
| destructor. More...
Static Protected Member Functions inherited from DRTTypes
static OFCondition | addElementToDataset (OFCondition &result, DcmItem &dataset, DcmElement *element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| add given element to the dataset. More...
static OFCondition | getElementFromDataset (DcmItem &dataset, DcmElement &element)
| get element from dataset More...
static OFCondition | getStringValueFromElement (const DcmElement &element, OFString &stringValue, const signed long pos=0)
| get string value from element More...
static OFCondition | getStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue)
| get string value from dataset More...
static OFCondition | putStringValueToDataset (DcmItem &dataset, const DcmTag &tag, const OFString &stringValue, const OFBool allowEmpty=OFTrue)
| put string value to dataset More...
static OFBool | checkElementValue (DcmElement &element, const OFString &vm, const OFString &type, const OFCondition &searchCond=EC_Normal, const char *moduleName=NULL)
| check element value for correct value multiplicity and type More...
static OFCondition | getAndCheckElementFromDataset (DcmItem &dataset, DcmElement &element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get element from dataset and check it for correct value multiplicity and type. More...
static OFCondition | getAndCheckStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get string value from dataset and check it for correct value multiplicity and type. More...

## Detailed Description

Item class.

## Constructor & Destructor Documentation

## ◆ Item() [1/2]

DRTBlockSequenceInRTBeamsModule::Item::Item | ( | const OFBool | emptyDefaultItem = `OFFalse` | ) |

(default) constructor

Parameters

  emptyDefaultItem | flag used to mark the empty default item

## ◆ Item() [2/2]

DRTBlockSequenceInRTBeamsModule::Item::Item | ( | const Item & | copy | ) |

copy constructor

Parameters

  copy | item object to be copied

## Member Function Documentation

## ◆ getAccessoryCode()

OFCondition DRTBlockSequenceInRTBeamsModule::Item::getAccessoryCode | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get AccessoryCode (300a,00f9)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getBlockData() [1/3]

OFCondition DRTBlockSequenceInRTBeamsModule::Item::getBlockData | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get BlockData (300a,0106)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getBlockData() [2/3]

OFCondition DRTBlockSequenceInRTBeamsModule::Item::getBlockData | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get BlockData (300a,0106)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getBlockData() [3/3]

OFCondition DRTBlockSequenceInRTBeamsModule::Item::getBlockData | ( | OFVector< Float64 > & | value | ) | const

get BlockData (300a,0106)

Parameters

  value | reference to variable in which the value(s) should be stored

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getBlockDivergence()

OFCondition DRTBlockSequenceInRTBeamsModule::Item::getBlockDivergence | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get BlockDivergence (300a,00fa)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getBlockMountingPosition()

OFCondition DRTBlockSequenceInRTBeamsModule::Item::getBlockMountingPosition | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get BlockMountingPosition (300a,00fb)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getBlockName()

OFCondition DRTBlockSequenceInRTBeamsModule::Item::getBlockName | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get BlockName (300a,00fe)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getBlockNumber() [1/2]

OFCondition DRTBlockSequenceInRTBeamsModule::Item::getBlockNumber | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get BlockNumber (300a,00fc)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getBlockNumber() [2/2]

OFCondition DRTBlockSequenceInRTBeamsModule::Item::getBlockNumber | ( | Sint32 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get BlockNumber (300a,00fc)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getBlockNumberOfPoints() [1/2]

OFCondition DRTBlockSequenceInRTBeamsModule::Item::getBlockNumberOfPoints | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get BlockNumberOfPoints (300a,0104)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getBlockNumberOfPoints() [2/2]

OFCondition DRTBlockSequenceInRTBeamsModule::Item::getBlockNumberOfPoints | ( | Sint32 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get BlockNumberOfPoints (300a,0104)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getBlockThickness() [1/2]

OFCondition DRTBlockSequenceInRTBeamsModule::Item::getBlockThickness | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get BlockThickness (300a,0100)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getBlockThickness() [2/2]

OFCondition DRTBlockSequenceInRTBeamsModule::Item::getBlockThickness | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get BlockThickness (300a,0100)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getBlockTransmission() [1/2]

OFCondition DRTBlockSequenceInRTBeamsModule::Item::getBlockTransmission | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get BlockTransmission (300a,0102)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getBlockTransmission() [2/2]

OFCondition DRTBlockSequenceInRTBeamsModule::Item::getBlockTransmission | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get BlockTransmission (300a,0102)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getBlockTrayID()

OFCondition DRTBlockSequenceInRTBeamsModule::Item::getBlockTrayID | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get BlockTrayID (300a,00f5)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getBlockType()

OFCondition DRTBlockSequenceInRTBeamsModule::Item::getBlockType | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get BlockType (300a,00f8)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getMaterialID()

OFCondition DRTBlockSequenceInRTBeamsModule::Item::getMaterialID | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get MaterialID (300a,00e1)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getSourceToBlockTrayDistance() [1/2]

OFCondition DRTBlockSequenceInRTBeamsModule::Item::getSourceToBlockTrayDistance | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get SourceToBlockTrayDistance (300a,00f6)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getSourceToBlockTrayDistance() [2/2]

OFCondition DRTBlockSequenceInRTBeamsModule::Item::getSourceToBlockTrayDistance | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get SourceToBlockTrayDistance (300a,00f6)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getTrayAccessoryCode()

OFCondition DRTBlockSequenceInRTBeamsModule::Item::getTrayAccessoryCode | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get TrayAccessoryCode (300a,0355)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ isEmpty()

OFBool DRTBlockSequenceInRTBeamsModule::Item::isEmpty | ( |  | ) |

check if item is empty

Returns
  OFTrue if item is empty, OFFalse otherwise

## ◆ isValid()

OFBool DRTBlockSequenceInRTBeamsModule::Item::isValid | ( |  | ) | const

check if item is valid, i.e. not the empty default item

Returns
  OFTrue if item is valid, OFFalse otherwise

## ◆ operator=()

Item& DRTBlockSequenceInRTBeamsModule::Item::operator= | ( | const Item & | copy | ) |

assignment operator

Parameters

  copy | item object to be copied

Returns
  reference to this object

## ◆ read()

OFCondition DRTBlockSequenceInRTBeamsModule::Item::read | ( | DcmItem & | item | ) |

read elements from sequence item

Parameters

  item | reference to DICOM sequence item from which the elements should be read

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setAccessoryCode()

OFCondition DRTBlockSequenceInRTBeamsModule::Item::setAccessoryCode | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set AccessoryCode (300a,00f9)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setBlockData()

OFCondition DRTBlockSequenceInRTBeamsModule::Item::setBlockData | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set BlockData (300a,0106)

Parameters

  value | value to be set (possibly multi-valued) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (2-2n) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setBlockDivergence()

OFCondition DRTBlockSequenceInRTBeamsModule::Item::setBlockDivergence | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set BlockDivergence (300a,00fa)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setBlockMountingPosition()

OFCondition DRTBlockSequenceInRTBeamsModule::Item::setBlockMountingPosition | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set BlockMountingPosition (300a,00fb)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setBlockName()

OFCondition DRTBlockSequenceInRTBeamsModule::Item::setBlockName | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set BlockName (300a,00fe)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setBlockNumber()

OFCondition DRTBlockSequenceInRTBeamsModule::Item::setBlockNumber | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set BlockNumber (300a,00fc)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setBlockNumberOfPoints()

OFCondition DRTBlockSequenceInRTBeamsModule::Item::setBlockNumberOfPoints | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set BlockNumberOfPoints (300a,0104)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setBlockThickness()

OFCondition DRTBlockSequenceInRTBeamsModule::Item::setBlockThickness | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set BlockThickness (300a,0100)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setBlockTransmission()

OFCondition DRTBlockSequenceInRTBeamsModule::Item::setBlockTransmission | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set BlockTransmission (300a,0102)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setBlockTrayID()

OFCondition DRTBlockSequenceInRTBeamsModule::Item::setBlockTrayID | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set BlockTrayID (300a,00f5)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (SH) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setBlockType()

OFCondition DRTBlockSequenceInRTBeamsModule::Item::setBlockType | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set BlockType (300a,00f8)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setMaterialID()

OFCondition DRTBlockSequenceInRTBeamsModule::Item::setMaterialID | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set MaterialID (300a,00e1)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (SH) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setSourceToBlockTrayDistance()

OFCondition DRTBlockSequenceInRTBeamsModule::Item::setSourceToBlockTrayDistance | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set SourceToBlockTrayDistance (300a,00f6)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setTrayAccessoryCode()

OFCondition DRTBlockSequenceInRTBeamsModule::Item::setTrayAccessoryCode | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set TrayAccessoryCode (300a,0355)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ write()

OFCondition DRTBlockSequenceInRTBeamsModule::Item::write | ( | DcmItem & | item | ) |

write elements to sequence item

Parameters

  item | reference to DICOM sequence item to which the elements should be written

Returns
  status, EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmrt/include/dcmtk/dcmrt/seq/drtbl1.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1